Nie jesteś zalogowany.
Jeśli nie posiadasz konta, zarejestruj je już teraz! Pozwoli Ci ono w pełni korzystać z naszego serwisu. Spamerom dziękujemy!

Ogłoszenie

Prosimy o pomoc dla małej Julki — przekaż 1% podatku na Fundację Dzieciom „Zdążyć z Pomocą”.
Więcej informacji na dug.net.pl/pomagamy/.

#1 2018-01-14 21:14:59

Ainat
Użytkownik
Zarejestrowany: 2018-01-05

Debian 9 na VPS spolszczenie MC

Wykonałem:

1 nano /etc/locale.gen
Przed linią en_US.UTF-8 UTF-8 usunąłem (#). 
przed linią pl_PL.UTF-8 UTF-8  usunąłem (#)

2 /usr/sbin/locale-gen  zrobione

Dalej po angielsku , w czym problem, jak to spolszczyć?

Offline

 

#2 2018-01-14 22:18:46

mati75
Psuj
Skąd: Miasto gdzie widzisz powietrze
Zarejestrowany: 2010-03-14
Serwis

Re: Debian 9 na VPS spolszczenie MC

Kod:

dpkg-reconfigure locales

Ustaw pl_PL.UTF-8 jako domyślny w systemie lub uruchom mc tak:

Kod:

LANG=pl_PL.UTF-8 mc

https://l0calh0st.pl/obrazki/userbar.png

Offline

 

#3 2018-01-14 23:16:01

Ainat
Użytkownik
Zarejestrowany: 2018-01-05

Re: Debian 9 na VPS spolszczenie MC

dpkg-reconfigure locales  nie zrobiło

LANG=pl_PL.UTF-8 mc - działa
Jak inaczej ustawić to na stałe?

Offline

 

#4 2018-01-15 05:27:37

Ainat
Użytkownik
Zarejestrowany: 2018-01-05

Re: Debian 9 na VPS spolszczenie MC

Jeszcze jeden problem:
nie mogę zainstalować php 7.1 na  Debian 9 na VPS, bardzo proszę o podpowiedź.
motałem się z wieloma poradnikami w necie bez skutku ,poprzednio zainstalowałem a teraz tego jednego dobrego nie mogę znaleźć.

Potrzebuję PHP 7.1x  z php7.1-cli php7.1-dev php7.1-fpm php7.1-bcmath php7.1-bz2 php7.1-common php7.1-curl php7.1-gd php7.1-gmp php7.1-imap php7.1-intl php7.1-json php7.1-mbstring php7.1-mysql php7.1-readline php7.1-recode php7.1-soap php7.1-sqlite3 php7.1-xml php7.1-xmlrpc php7.1-zip php7.1-opcache php7.1-xsl

i jeszcze pytanie inne; czy w etc/apt/trusted.gpg.d powinienem mieć jessie? czy też nałapałem po podróżach po poradnikach i trzeba to usunąć?

sftp://ainat@77.55.221.244:4129/etc/apt/trusted.gpg.d/php.gpg
sftp://ainat@77.55.221.244:4129/etc/apt/trusted.gpg.d/ondrej_ubuntu_php.gpg
sftp://ainat@77.55.221.244:4129/etc/apt/trusted.gpg.d/debian-archive-wheezy-stable.gpg
sftp://ainat@77.55.221.244:4129/etc/apt/trusted.gpg.d/debian-archive-wheezy-automatic.gpg
sftp://ainat@77.55.221.244:4129/etc/apt/trusted.gpg.d/debian-archive-stretch-stable.gpg
sftp://ainat@77.55.221.244:4129/etc/apt/trusted.gpg.d/debian-archive-stretch-security-automatic.gpg
sftp://ainat@77.55.221.244:4129/etc/apt/trusted.gpg.d/debian-archive-stretch-automatic.gpg
sftp://ainat@77.55.221.244:4129/etc/apt/trusted.gpg.d/debian-archive-jessie-stable.gpg
sftp://ainat@77.55.221.244:4129/etc/apt/trusted.gpg.d/debian-archive-jessie-security-automatic.gpg
sftp://ainat@77.55.221.244:4129/etc/apt/trusted.gpg.d/debian-archive-jessie-automatic.gpg

zainstalowane mam na razie:

Apache/2.4.25
MariaDB 10.1.26-0+deb9u1 Debian 9.1

Offline

 

#5 2018-01-15 07:23:15

Jacekalex
Podobno człowiek...;)
Skąd: /dev/urandom
Zarejestrowany: 2008-01-07

Re: Debian 9 na VPS spolszczenie MC

A po co się tak spieszyć?

Kod:

apt-cache policy php7.1
php7.1:
  Zainstalowana: (brak)
  Kandydująca:   7.1.13-1
  Tabela wersji:
     7.1.13-1 990
        990 https://deb.debian.org/debian testing/main amd64 Packages
        990 https://deb.debian.org/debian testing/main i386 Packages
        500 https://deb.debian.org/debian unstable/main amd64 Packages
        500 https://deb.debian.org/debian unstable/main i386 Packages

W tej chwili w Stretchu masz php-7.0.19-1, który w zupełności wystarczy, nie ma powodu pchać się na siłę w kierunku najnowszego numerka.

Względnie możesz dodać repo testinga i zainstalować poleceniem:

Kod:

apt install -t testing php7.1

Pozdro

Ostatnio edytowany przez Jacekalex (2018-01-15 09:31:43)


W demokracji każdy naród ma taką władzę, na jaką zasługuje ;)
Si vis pacem  para bellum  ;)       |       Pozdrawiam :)

Offline

 

#6 2018-01-15 15:35:54

Ainat
Użytkownik
Zarejestrowany: 2018-01-05

Re: Debian 9 na VPS spolszczenie MC

dzięki;
Uparłem się na 7.1x ponieważ PHP dla magento 2.2.2 ma takie wymagania:

7.0.0, 7.0.1  Not supported
7.0.2           Supported
7.0.3             Not supported
7.0.4             Supported
7.0.5           Not supported   
7.0.6–7.0.x Supported    
7.1.x          Supported

Ja na Oktavawe miałem 7.1x zainstalowane i sklep chodził, wywalił mi się po spolszczeniu i nie umiałem go podnieść.Potem już zrezygnowałem z Oktawave i zająłem się VPS na Nazwa.pl.
Nie mogę sobie przypomnieć z jakiego poradnika to instalowałem. A jeżeli 7.1x obsługuje to myślę, że lepiej nowsze niż starsze.

Testing to niestabilne a ja te co instalowałem to chyba testing nie były, jakoś  z ppa:ondrej/php i sure w pakietach było.

Proszę o odpowiedź z poprzedniego posta o zawartość folderu etc/apt/trusted.gpg.d; czy z jessie mam wywalić?

Ostatnio edytowany przez Ainat (2018-01-15 16:32:54)

Offline

 

#7 2018-01-15 17:08:53

Jacekalex
Podobno człowiek...;)
Skąd: /dev/urandom
Zarejestrowany: 2008-01-07

Re: Debian 9 na VPS spolszczenie MC

Ppa to jest do Ubuntu, w Debianie możesz w ten sposób jedynie uceglić system.

Jak potrzebujesz jakieś egzotyczne programy (których nie ma w repo), to możesz sobie zrobić lokalne repozytorium apt.

Przy okazji, te wymagania do Magento nie mają żadnego sensu, co  to znaczy 7.0.2 supported, 7.0.3 not?
Na jakim systemie to sprawdzali?

To praktycznie te same wersje PHP, mają zalatane jakieś pojedyncze błędy, ale nie różnią się wiele.
Albo to Magento działa na PHP7, albo nie działa, takie rozdrobnienie poszczególnych wersji to bzdura.

Pozdro

Ostatnio edytowany przez Jacekalex (2018-01-15 17:16:20)


W demokracji każdy naród ma taką władzę, na jaką zasługuje ;)
Si vis pacem  para bellum  ;)       |       Pozdrawiam :)

Offline

 

#8 2018-01-15 18:50:31

Ainat
Użytkownik
Zarejestrowany: 2018-01-05

Re: Debian 9 na VPS spolszczenie MC

zczytałem to ze strony Magento i tego się trzymam z braku doświadczenia. (podobnie jak z GPS w samochodzie; jak ci mówi w prawo to jedziesz w prawo ale jak znasz dobrze trasę i orientujesz się w terenie to jedziesz np. prosto i oszczędzasz godzinę i kilkadziesiąt kilometrów - wszędzie wiedza :)

Zerknij proszę na to co znalazłem u nich na stronie co wymagań PHP : http://devdocs.magento.com/guides/v2.2/install-gde/ … nts-tech.html

Jeżeli to faktycznie bez znaczenia to zainstaluję 7 mkę.

Czy źródła testing, które podałeś wyżej mogę wkleić do source.list tak jak jest, w takim formacie jak w Twoim poście z tym 900 na początku?

Offline

 

#9 2018-01-15 19:36:11

Jacekalex
Podobno człowiek...;)
Skąd: /dev/urandom
Zarejestrowany: 2008-01-07

Re: Debian 9 na VPS spolszczenie MC

Konfig apta:

cat  /etc/apt/apt.conf

Kod:

APT::Default-Release "stable";
APT::Get::Install-Recommends "false";
APT::Get::Install-Suggests "false";
Apt::Get::Purge;
Acquire::PDiffs "true";

I możesz dodać repozytoria testing, bez ryzyka, że cały system poleci w testing.

Potem potrzebną z testinga paczkę instalujesz poleceniem:

Kod:

apt install -t testing  {paczka}

W demokracji każdy naród ma taką władzę, na jaką zasługuje ;)
Si vis pacem  para bellum  ;)       |       Pozdrawiam :)

Offline

 

#10 2018-01-15 21:17:38

Ainat
Użytkownik
Zarejestrowany: 2018-01-05

Re: Debian 9 na VPS spolszczenie MC

w cat  /etc/apt/  utworzyć plik apt.conf i wykonać w katalogu apt te komendy, które podałeś, tak?

repozytoria wklejam do sorce.list? w takiej postaci jak w 1 poście  .Czy te cyfry z początku usunąć?

Jak rozumieć wymagania Magento co podałem w linku wyżej?
Mogę jak pisałeś instalować php 7.0?

Offline

 

#11 2018-01-15 21:42:02

Jacekalex
Podobno człowiek...;)
Skąd: /dev/urandom
Zarejestrowany: 2008-01-07

Re: Debian 9 na VPS spolszczenie MC

nie komendy, tylko wkleić do /etc/apt/apt.conf taką zawartość:

Kod:

APT::Default-Release "stable";
APT::Get::Install-Recommends "false";
APT::Get::Install-Suggests "false";
Apt::Get::Purge;
Acquire::PDiffs "true";

To zabezpieczy sytuację,kiedy po dodaniu repozytorium testing cały system chciałby się zaktualizować do wersji testowej, co jest na serwerze dosyć ryzykowne.

Magento możesz spróbować na php70, a jak nie pójdzie, to php71.


W demokracji każdy naród ma taką władzę, na jaką zasługuje ;)
Si vis pacem  para bellum  ;)       |       Pozdrawiam :)

Offline

 

#12 2018-01-16 23:45:16

Ainat
Użytkownik
Zarejestrowany: 2018-01-05

Re: Debian 9 na VPS spolszczenie MC

W etc/apt utworzyłem plik apt.conf i wkleiłem do niego kod , który podałeś.
Do sources.list dodałem: deb http://ftp.pl.debian.org/debian/ testing main contrib non-free
                                  deb http://security.debian.org/ testing/updates main contrib non-free

tego polecenia nie rozumiem;  czy mam po kolei dodawać źródła np tak:
apt install -t deb http://ftp.pl.debian.org/debian/ testing main contrib non-free    o to chodzi?

Tak może zostać jak mam czy należy wykonać Twoje polecenie "apt install -t testing  {paczka}"  ?

jak instaluję programy to widzę, żę testingi w logach latają :) czyli apt korzysta ze wpisu w sources.list .

Ostatnio edytowany przez Ainat (2018-01-16 23:47:46)

Offline

 

#13 2018-01-17 01:10:30

Jacekalex
Podobno człowiek...;)
Skąd: /dev/urandom
Zarejestrowany: 2008-01-07

Re: Debian 9 na VPS spolszczenie MC

Po każdej  zmianie w sources.list musisz dać:

Kod:

apt update

żeby zakonotował.

Potem możesz wybrać wersję przełącznikiem t, np:

Kod:

apt install -t {cośtam}

Ostatnio edytowany przez Jacekalex (2018-01-17 01:25:02)


W demokracji każdy naród ma taką władzę, na jaką zasługuje ;)
Si vis pacem  para bellum  ;)       |       Pozdrawiam :)

Offline

 

#14 2018-01-17 03:48:39

Ainat
Użytkownik
Zarejestrowany: 2018-01-05

Re: Debian 9 na VPS spolszczenie MC

czyli np. tak ?
apt install -t deb http://ftp.pl.debian.org/debian/ testing main contrib non-free
czy raczej dotyczy to instalacji jakiejś aplikacji?
np. apt install -t nginx ?

Offline

 

#15 2018-01-17 09:39:13

Jacekalex
Podobno człowiek...;)
Skąd: /dev/urandom
Zarejestrowany: 2008-01-07

Re: Debian 9 na VPS spolszczenie MC

NIE

Kod:

apt install -t {stable albo testing} nginx

Domyślnie apt instaluje paczki zgodnie z domyślną wartością target-release, przełącznik -r pozwala wybrać inną wartość target-release,
aniżeli zdefiniowana w /etc/apt/apt.conf.

podpatrzyć dostępne wersje?

Kod:

apt  policy {paczka}

np:

Kod:

apt  policy nginx
nginx:
  Zainstalowana: 1.13.8-1
  Kandydująca:   1.13.8-1
  Tabela wersji:
...

W demokracji każdy naród ma taką władzę, na jaką zasługuje ;)
Si vis pacem  para bellum  ;)       |       Pozdrawiam :)

Offline

 

Stopka forum

Powered by PunBB
© Copyright 2002–2005 Rickard Andersson
To nie jest tylko forum, to nasza mała ojczyzna ;-)